<link rel="stylesheet" href="css/font.css" type="text/css" />
<script>
function jobcard_report_print(url)
{
onmouseover43= window.open(url,'onmouseover43','height=580,width=1100,scrollbars=yes,left=50,top=50,toolbar=no,location=no,directories=no,status=no,menubar=no');
}
</script>
<?php error_reporting(0);
/*********************************Get Found Result And Pagination********************************************************/
include("../../include/db.php");
?>
<style type="text/css">
<!--
.style1 {font-size: 16px}
-->
</style>
<table width="100%">
<tr>
<td width="1%" height="38">&nbsp;</td>
<td width="7%" class="style15">&nbsp;</td> 
<td width="13%" align="center">&nbsp;</td>
<td width="1%">&nbsp;</td>
<td width="6%" class="style15">&nbsp;</td>
<td width="14%" align="center"  class="style15">&nbsp;</td>
<td width="2%">&nbsp;</td>
<td width="11%" class="style15">&nbsp;</td>
<td width="24%" align="left" >&nbsp;</td>
<td width="8%" align="center">&nbsp;</td>
<td width="2%"></td>
<td width="7%" align="center"><a href="javascript:jobcard_report_print('report/customer_wise_fusing/customer_wise_fusing_print.php?from_date=<?php echo $_GET['from_date'];?>&to_date=<?php echo $_GET['to_date'];?>&job_card_no=<?php echo $_GET['job_card_no'];?>&customer_name=<?php echo $_GET['customer_name'];?>');" style="text-decoration:none;"><img src="img/PrinterBlack.png" width="35" height="30" title="Print" value="Print"/></a></td>
  </tr>
</table>
<div class="container">
<div class="row-fluid">
<div class="span12">
<div class="table-responsive">
<div class="CSSTableGenerator">  
<table border="0" width="97%"  align="center" cellpadding="0" cellspacing="0" style="border:1px solid #ddd" >
<thead>
<tr>
    <th  height="23"  align="center" style="border:1px solid #ddd" >S.No</th>
    <th  align="left" style="border:1px solid #ddd" >&nbsp;Date</th>
    <th  align="left" style="border:1px solid #ddd" >&nbsp;Jobcard No</th>
    <th  align="left" style="border:1px solid #ddd" >&nbsp;Customer Name</th>
    <th width="70"  align="left" style="border:1px solid #ddd" >&nbsp;</th>
    <th width="80"  align="left" style="border:1px solid #ddd" > &nbsp;Shift</th>
    <th width="83"  align="left" style="border:1px solid #ddd" >&nbsp;Operator</th>
    <th width="95"  align="left" style="border:1px solid #ddd" >&nbsp;Machine No</th>
    <th width="90"  align="left" style="border:1px solid #ddd" >&nbsp;Particulars</th>
    <th width="87"  align="right" style="border:1px solid #ddd" ><strong>Total Qty&nbsp;</strong></th>
        <th width="88"  align="right" style="border:1px solid #ddd" ><strong>Product Qty&nbsp;</strong></th>

    <th width="88"  align="right" style="border:1px solid #ddd" ><strong>Balance Qty&nbsp;</strong></th>
    </tr>
  <?php
include("../../include/db.php"); 

function get_operator_name4($ope_name)
{
$sql="select * from operator_creation where id='$ope_name'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$operator_namess=$rsdata['operator_name'];
}
return $operator_namess;
}


function get_shift_time4($shift_id)
{
$sql="select * from shift_creation where id='$shift_id'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
{
$from_time[0]=$rsdata['from_time'];
$from_time[1]=$rsdata['to_time'];
$from_time[2]=$rsdata['shift_name'];
}
return $from_time;
}

function get_machine_no4($machine_no)
{
$sql="select * from machine_creation where id='$machine_no'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$machine_no=$rsdata['machine_no'];
}
return $machine_no;
}

 $customer_name=$_GET['customer_name'];
//$customer_id=get_customer($customer_name);
if(($_GET['from_date']!='')&&($_GET['to_date']!=''))
{
 $from_date=date('Y-m-d',strtotime($_GET['from_date']));
 $to_date=date('Y-m-d',strtotime($_GET['to_date']));

}
$current_date=date('Y-m-d');
if($from_date!=""){ $from_date1= "print_date>='$from_date'"; }else{$from_date1="print_date='$current_date'"; }
if($to_date!=""){ $to_date1 = "print_date<='$to_date'";}else{$to_date1="print_date='$current_date'";}
if($customer_name!=""){ $customer_name1 = "cust_name='$customer_name'";}else{$customer_name1="";}
{
  $all_value102 = $from_date1.",".$to_date1.",".$customer_name1;
}
 $all_array102 = explode(',',$all_value102);
foreach($all_array102 as $value102)
{ 
if($value102!='')
{
   $get_query103 .= $value102." AND ";
}
}	  
function get_order_qty($job_card_no,$prod_size)
{
	$sql_query="select * from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs=mysql_query($sql_query);
    $rscount=mysql_num_rows($rs);
	return $rscount;
 }
 
 
 function get_max_order_qty($job_card_no,$prod_size)
{
$sql_query="select max(total_qty) as total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}

 function get_order_qty1($job_card_no,$prod_size,$pr_id)
{
 $sql_query="select total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' and pr_id='$pr_id'  ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}
  $sql="select * from  fusing_production_main where $get_query103 p_id!='' order by job_card_no ASC  ";

    $rs=mysql_query($sql);
	$s_no=0;
   		while($rsdata=mysql_fetch_array($rs))
  			{
   				 $s_no=$s_no+1;
				 $from=$from+1;
                 $id=$rsdata['p_id'];
                 $job_card_nos=$rsdata['job_card_no'];
				 $print_date=$rsdata['print_date'];
				 $cust_name=$rsdata['cust_name'];
				 $fabric_type=$rsdata['fabric_type'];
				 $printer_status=$rsdata['billed_status'];
				 $job_type=$rsdata['job_type'];
				 $printed_qty=$rsdata['printed_qty'];
				 
 ?>
    <tr>
    <td width="44"  align="center" style="border:1px solid #ddd">&nbsp;<?php echo $s_no; ?></td>
    <td width="55" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo date("d-m-Y",strtotime($print_date));?></td>
    <td width="72" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $job_card_nos; ?></td>
    <td width="116" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $cust_name; ?></td>
    <td colspan="8"> <table width="100%" style="border:0px; color:#000">
   <tbody >   <?php
     $sql_user="select * from fusing_production_sublist where job_card_no='$job_card_nos' order by job_card_no,operator_name,prod_size ASC";
	$rs_user=mysql_query($sql_user);
	$usercount=mysql_num_rows($rs_user);
	if($usercount!='0')
	{
	while($rsdata_user=mysql_fetch_object($rs_user))
	{ 
	$pr_id=$rsdata_user->pr_id;
	$shift_id=$rsdata_user->shift_time;
	$shift_time=get_shift_time4($shift_id);
	$machine_id=$rsdata_user->machine_no;
	$machine_no=get_machine_no4($machine_id);
	$operator_id=$rsdata_user->operator_name;
	$operator_name=get_operator_name4($operator_id);
	$production_time=$rsdata_user->production_time;
	$prod_size=$rsdata_user->prod_size;
	$prod_qty=$rsdata_user->prod_qty;
	$total_qty=$rsdata_user->total_qty;
	$balance_qty=$rsdata_user->balance_qty;
	$job_card_no=$rsdata_user->job_card_no;
	$count_order_qty = get_order_qty($job_card_no,$prod_size); 
	 $max_order_qty = get_max_order_qty($job_card_no,$prod_size);
	 $qty=  get_order_qty1($job_card_no,$prod_size,$pr_id);
	if($max_order_qty==$qty)
	{
		$qty=$max_order_qty;
	}
	else
	{
				$qty='';

		}

	?>
    <tr>
      <th width="10%" align="left" style="border:0px;color:#000;"><?php echo date('d-m-y h:m a',strtotime($production_time)); ?>&nbsp;</th>
      <th width="12%" align="left" style="border:0px;color:#000;"><?php echo $shift_time[2]."(".$shift_time[0]."-".$shift_time[1].")"; ?>&nbsp;</th>
    <th width="11%" align="left" style="border:0px; color:#000">&nbsp;<?php echo $operator_name; ?></th>
    <th width="11%" align="left" style="border:0px; color:#000">&nbsp;<?php echo $machine_no; ?></th>
    <th width="12%" align="left" style="border:0px; color:#000">&nbsp;<?php echo $prod_size; ?></th>
     <th width="12%" align="right" style="border:0px; color:#000"><?php echo $qty; ?>&nbsp;</th>
          <th width="11%" align="right" style="border:0px; color:#000"><?php echo number_format($prod_qty,2); ?>&nbsp;</th>

     <th width="12%" align="right" style="border:0px; color:#000"><?php echo $balance_qty; ?>&nbsp;</th>
    </tr><?php
	$total1+=$qty; 
	$total2+=$prod_qty; 
	$total3+=$balance_qty;  } } ?></tbody></table></td>
    </tr>
  <?php } ?>
   <tr>
   <td colspan="9" align="right" class="style1"><strong>Total</strong></td>
   <td align="right" class="style1"><strong><?php echo number_format($total1,2); ?></strong></td>
      <td align="right" class="style1"><strong><?php echo number_format($total2,2); ?></strong></td>

   <td align="right" class="style1"><strong><?php echo number_format($total1-$total2,2); ?></strong></td>
    </tr>
  </thead>
</table>
</div>
</div>
</div>
</div>

